Get Agent Draft
curl --request GET \
--url https://{tenant_id}.api.useago.com/api/v1/agents/{agent_id}/draft \
--header 'X-API-Key: <api-key>'import requests
url = "https://{tenant_id}.api.useago.com/api/v1/agents/{agent_id}/draft"
headers = {"X-API-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};
fetch('https://{tenant_id}.api.useago.com/api/v1/agents/{agent_id}/draft', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"agent_id": "<string>",
"exists": true,
"has_changes": true,
"version": 123,
"configuration": {},
"published_changed": true,
"missing_references": {},
"object": "agent_draft",
"changes": [],
"updated_by": "<string>",
"updated_at": "<string>"
}Agents
Get Agent Draft
Get the agent’s shared draft, or its published configuration when there is no draft.
GET
/
api
/
v1
/
agents
/
{agent_id}
/
draft
Get Agent Draft
curl --request GET \
--url https://{tenant_id}.api.useago.com/api/v1/agents/{agent_id}/draft \
--header 'X-API-Key: <api-key>'import requests
url = "https://{tenant_id}.api.useago.com/api/v1/agents/{agent_id}/draft"
headers = {"X-API-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};
fetch('https://{tenant_id}.api.useago.com/api/v1/agents/{agent_id}/draft', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"agent_id": "<string>",
"exists": true,
"has_changes": true,
"version": 123,
"configuration": {},
"published_changed": true,
"missing_references": {},
"object": "agent_draft",
"changes": [],
"updated_by": "<string>",
"updated_at": "<string>"
}Authorizations
Path Parameters
Response
200 - application/json
OK
Show child attributes
Show child attributes
Allowed value:
"agent_draft"